Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRDesignDatasetRun

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseDatasetRun
          net.sf.jasperreports.engine.design.JRDesignDatasetRun

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRDatasetRun

    public class JRDesignDatasetRun

extends JRBaseDatasetRun
implements JRChangeEventsSupport

Implementation of `JRDatasetRun` to be used for report desing.

Version:
  $Id: JRDesignDatasetRun.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_CONNECTION_EXPRESSION`
`static java.lang.String` | `PROPERTY_DATA_SOURCE_EXPRESSION`
`static java.lang.String` | `PROPERTY_DATASET_NAME`
`static java.lang.String` | `PROPERTY_PARAMETERS`
`static java.lang.String` | `PROPERTY_PARAMETERS_MAP_EXPRESSION`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseDatasetRun
`connectionExpression, datasetName, dataSourceExpression, parameters, parametersMapExpression`

Constructor Summary
`JRDesignDatasetRun()` Creates an empty dataset instantiation.

Method Summary
`void` | `addParameter(JRDatasetParameter parameter)` Adds a parameter value.
`java.lang.Object` | `clone()`
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`JRDatasetParameter[]` | `getParameters()` Returns the list of parameter values.
`JRDatasetParameter` | `removeParameter(JRDatasetParameter parameter)` Removes a parameter value.
`JRDatasetParameter` | `removeParameter(java.lang.String parameterName)` Removes a parameter value.
`void` | `setConnectionExpression(JRExpression connectionExpression)` Sets the connection expression.
`void` | `setDatasetName(java.lang.String datasetName)` Sets the sub dataset name.
`void` | `setDataSourceExpression(JRExpression dataSourceExpression)` Sets the data source expression.
`void` | `setParametersMapExpression(JRExpression parametersMapExpression)` Sets the parameters map expression.

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseDatasetRun
`getConnectionExpression, getDatasetName, getDataSourceExpression, getParametersMapExpression`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_CONNECTION_EXPRESSION

    public static final java.lang.String PROPERTY_CONNECTION_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_DATASET_NAME

    public static final java.lang.String PROPERTY_DATASET_NAME

See Also:
  Constant Field Values

### PROPERTY_DATA_SOURCE_EXPRESSION

    public static final java.lang.String PROPERTY_DATA_SOURCE_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_PARAMETERS_MAP_EXPRESSION

    public static final java.lang.String PROPERTY_PARAMETERS_MAP_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_PARAMETERS

    public static final java.lang.String PROPERTY_PARAMETERS

See Also:
  Constant Field Values

Constructor Detail

### JRDesignDatasetRun

    public JRDesignDatasetRun()

  Creates an empty dataset instantiation.

Method Detail

### addParameter

    public void addParameter(JRDatasetParameter parameter)
                      throws JRException

  Adds a parameter value.

  Parameters:
    `parameter` - the parameter value
  Throws:
    `JRException`
  See Also:
    `JRDatasetRun.getParameters()`

### removeParameter

    public JRDatasetParameter removeParameter(java.lang.String parameterName)

  Removes a parameter value.

  Parameters:
    `parameterName` - the parameter name
  Returns:
    the removed parameter value

### removeParameter

    public JRDatasetParameter removeParameter(JRDatasetParameter parameter)

  Removes a parameter value.

  Parameters:
    `parameter` - the parameter value
  Returns:
    the paramter value

### setConnectionExpression

    public void setConnectionExpression(JRExpression connectionExpression)

  Sets the connection expression.

  Parameters:
    `connectionExpression` - the connection expression
  See Also:
    `JRDatasetRun.getConnectionExpression()`

### setDatasetName

    public void setDatasetName(java.lang.String datasetName)

  Sets the sub dataset name.

  Parameters:
    `datasetName` - the sub dataset name
  See Also:
    `JRDatasetRun.getDatasetName()`

### setDataSourceExpression

    public void setDataSourceExpression(JRExpression dataSourceExpression)

  Sets the data source expression.

  Parameters:
    `dataSourceExpression` - the data source expression
  See Also:
    `JRDatasetRun.getDataSourceExpression()`

### setParametersMapExpression

    public void setParametersMapExpression(JRExpression parametersMapExpression)

  Sets the parameters map expression.

  Parameters:
    `parametersMapExpression` - the parameters map expression
  See Also:
    `JRDatasetRun.getParametersMapExpression()`

### getParameters

    public JRDatasetParameter[] getParameters()

  Description copied from interface: `JRDatasetRun`
  Returns the list of parameter values.

  Specified by:
    `getParameters` in interface `JRDatasetRun`
  Overrides:
    `getParameters` in class `JRBaseDatasetRun`
  Returns:
    the list of parameter values

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `JRBaseDatasetRun`

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com